#pragma once
#include "Entity.h"
#define CS_LIFTBLOCK_CREATENAME L"CS_liftblock"
class CS_LiftBlock :
    public Entity
{
public:
    CS_LiftBlock();
    void Step() override;
    void SetState(std::wstring stateName, int lr) override;
    int stateID = 0;
    int move_counter = 0;
    float moveSpeed = 0x200 / ts;
};

std::shared_ptr<Entity> CreateCS_LiftBlock();